<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CampaignCategory StructType
 * @subpackage Structs
 */
class CampaignCategory extends AbstractStructBase
{
    /**
     * The ID
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * @var int
     */
    public $ID;
    /**
     * The name
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * @var string
     */
    public $name;
    /**
     * The categories
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - nillable: true
     * - arrayType: tns:CampaignCategory[]
     * - ref: SOAP-ENC:arrayType
     * @var CampaignCategory
     */
    public $categories;
    /**
     * Constructor method for CampaignCategory
     * @uses CampaignCategory::setID()
     * @uses CampaignCategory::setName()
     * @uses CampaignCategory::setCategories()
     * @param int $iD
     * @param string $name
     * @param CampaignCategory $categories
     */
    public function __construct($iD = null, $name = null, CampaignCategory $categories = null)
    {
        $this
            ->setID($iD)
            ->setName($name)
            ->setCategories($categories);
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \StructType\CampaignCategory
     */
    public function setID($iD = null)
    {
        // validation for constraint: int
        if (!is_null($iD) && !is_numeric($iD)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($iD)), __LINE__);
        }
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\CampaignCategory
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get categories value
     * @return CampaignCategory|null
     */
    public function getCategories()
    {
        return $this->categories;
    }
    /**
     * Set categories value
     * @param CampaignCategory $categories
     * @return \StructType\CampaignCategory
     */
    public function setCategories(CampaignCategory $categories = null)
    {
        $this->categories = $categories;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CampaignCategory
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
