<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CampaignCommissionProduct StructType
 * @subpackage Structs
 */
class CampaignCommissionProduct extends AbstractStructBase
{
    /**
     * The campaignProduct
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * @var \StructType\CampaignProduct
     */
    public $campaignProduct;
    /**
     * The leadCommission
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * @var float
     */
    public $leadCommission;
    /**
     * The saleCommissionFixed
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * @var float
     */
    public $saleCommissionFixed;
    /**
     * The saleCommissionVariable
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * @var float
     */
    public $saleCommissionVariable;
    /**
     * The iLeadCommission
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * @var float
     */
    public $iLeadCommission;
    /**
     * The iSaleCommissionFixed
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * @var float
     */
    public $iSaleCommissionFixed;
    /**
     * The iSaleCommissionVariable
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * @var float
     */
    public $iSaleCommissionVariable;
    /**
     * The guaranteedCommissionLead
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - nillable: true
     * @var float
     */
    public $guaranteedCommissionLead;
    /**
     * The guaranteedCommissionSalesVariable
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - nillable: true
     * @var float
     */
    public $guaranteedCommissionSalesVariable;
    /**
     * The guaranteedCommissionSalesFixed
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - nillable: true
     * @var float
     */
    public $guaranteedCommissionSalesFixed;
    /**
     * Constructor method for CampaignCommissionProduct
     * @uses CampaignCommissionProduct::setCampaignProduct()
     * @uses CampaignCommissionProduct::setLeadCommission()
     * @uses CampaignCommissionProduct::setSaleCommissionFixed()
     * @uses CampaignCommissionProduct::setSaleCommissionVariable()
     * @uses CampaignCommissionProduct::setILeadCommission()
     * @uses CampaignCommissionProduct::setISaleCommissionFixed()
     * @uses CampaignCommissionProduct::setISaleCommissionVariable()
     * @uses CampaignCommissionProduct::setGuaranteedCommissionLead()
     * @uses CampaignCommissionProduct::setGuaranteedCommissionSalesVariable()
     * @uses CampaignCommissionProduct::setGuaranteedCommissionSalesFixed()
     * @param \StructType\CampaignProduct $campaignProduct
     * @param float $leadCommission
     * @param float $saleCommissionFixed
     * @param float $saleCommissionVariable
     * @param float $iLeadCommission
     * @param float $iSaleCommissionFixed
     * @param float $iSaleCommissionVariable
     * @param float $guaranteedCommissionLead
     * @param float $guaranteedCommissionSalesVariable
     * @param float $guaranteedCommissionSalesFixed
     */
    public function __construct(\StructType\CampaignProduct $campaignProduct = null, $leadCommission = null, $saleCommissionFixed = null, $saleCommissionVariable = null, $iLeadCommission = null, $iSaleCommissionFixed = null, $iSaleCommissionVariable = null, $guaranteedCommissionLead = null, $guaranteedCommissionSalesVariable = null, $guaranteedCommissionSalesFixed = null)
    {
        $this
            ->setCampaignProduct($campaignProduct)
            ->setLeadCommission($leadCommission)
            ->setSaleCommissionFixed($saleCommissionFixed)
            ->setSaleCommissionVariable($saleCommissionVariable)
            ->setILeadCommission($iLeadCommission)
            ->setISaleCommissionFixed($iSaleCommissionFixed)
            ->setISaleCommissionVariable($iSaleCommissionVariable)
            ->setGuaranteedCommissionLead($guaranteedCommissionLead)
            ->setGuaranteedCommissionSalesVariable($guaranteedCommissionSalesVariable)
            ->setGuaranteedCommissionSalesFixed($guaranteedCommissionSalesFixed);
    }
    /**
     * Get campaignProduct value
     * @return \StructType\CampaignProduct|null
     */
    public function getCampaignProduct()
    {
        return $this->campaignProduct;
    }
    /**
     * Set campaignProduct value
     * @param \StructType\CampaignProduct $campaignProduct
     * @return \StructType\CampaignCommissionProduct
     */
    public function setCampaignProduct(\StructType\CampaignProduct $campaignProduct = null)
    {
        $this->campaignProduct = $campaignProduct;
        return $this;
    }
    /**
     * Get leadCommission value
     * @return float|null
     */
    public function getLeadCommission()
    {
        return $this->leadCommission;
    }
    /**
     * Set leadCommission value
     * @param float $leadCommission
     * @return \StructType\CampaignCommissionProduct
     */
    public function setLeadCommission($leadCommission = null)
    {
        $this->leadCommission = $leadCommission;
        return $this;
    }
    /**
     * Get saleCommissionFixed value
     * @return float|null
     */
    public function getSaleCommissionFixed()
    {
        return $this->saleCommissionFixed;
    }
    /**
     * Set saleCommissionFixed value
     * @param float $saleCommissionFixed
     * @return \StructType\CampaignCommissionProduct
     */
    public function setSaleCommissionFixed($saleCommissionFixed = null)
    {
        $this->saleCommissionFixed = $saleCommissionFixed;
        return $this;
    }
    /**
     * Get saleCommissionVariable value
     * @return float|null
     */
    public function getSaleCommissionVariable()
    {
        return $this->saleCommissionVariable;
    }
    /**
     * Set saleCommissionVariable value
     * @param float $saleCommissionVariable
     * @return \StructType\CampaignCommissionProduct
     */
    public function setSaleCommissionVariable($saleCommissionVariable = null)
    {
        $this->saleCommissionVariable = $saleCommissionVariable;
        return $this;
    }
    /**
     * Get iLeadCommission value
     * @return float|null
     */
    public function getILeadCommission()
    {
        return $this->iLeadCommission;
    }
    /**
     * Set iLeadCommission value
     * @param float $iLeadCommission
     * @return \StructType\CampaignCommissionProduct
     */
    public function setILeadCommission($iLeadCommission = null)
    {
        $this->iLeadCommission = $iLeadCommission;
        return $this;
    }
    /**
     * Get iSaleCommissionFixed value
     * @return float|null
     */
    public function getISaleCommissionFixed()
    {
        return $this->iSaleCommissionFixed;
    }
    /**
     * Set iSaleCommissionFixed value
     * @param float $iSaleCommissionFixed
     * @return \StructType\CampaignCommissionProduct
     */
    public function setISaleCommissionFixed($iSaleCommissionFixed = null)
    {
        $this->iSaleCommissionFixed = $iSaleCommissionFixed;
        return $this;
    }
    /**
     * Get iSaleCommissionVariable value
     * @return float|null
     */
    public function getISaleCommissionVariable()
    {
        return $this->iSaleCommissionVariable;
    }
    /**
     * Set iSaleCommissionVariable value
     * @param float $iSaleCommissionVariable
     * @return \StructType\CampaignCommissionProduct
     */
    public function setISaleCommissionVariable($iSaleCommissionVariable = null)
    {
        $this->iSaleCommissionVariable = $iSaleCommissionVariable;
        return $this;
    }
    /**
     * Get guaranteedCommissionLead value
     * @return float|null
     */
    public function getGuaranteedCommissionLead()
    {
        return $this->guaranteedCommissionLead;
    }
    /**
     * Set guaranteedCommissionLead value
     * @param float $guaranteedCommissionLead
     * @return \StructType\CampaignCommissionProduct
     */
    public function setGuaranteedCommissionLead($guaranteedCommissionLead = null)
    {
        $this->guaranteedCommissionLead = $guaranteedCommissionLead;
        return $this;
    }
    /**
     * Get guaranteedCommissionSalesVariable value
     * @return float|null
     */
    public function getGuaranteedCommissionSalesVariable()
    {
        return $this->guaranteedCommissionSalesVariable;
    }
    /**
     * Set guaranteedCommissionSalesVariable value
     * @param float $guaranteedCommissionSalesVariable
     * @return \StructType\CampaignCommissionProduct
     */
    public function setGuaranteedCommissionSalesVariable($guaranteedCommissionSalesVariable = null)
    {
        $this->guaranteedCommissionSalesVariable = $guaranteedCommissionSalesVariable;
        return $this;
    }
    /**
     * Get guaranteedCommissionSalesFixed value
     * @return float|null
     */
    public function getGuaranteedCommissionSalesFixed()
    {
        return $this->guaranteedCommissionSalesFixed;
    }
    /**
     * Set guaranteedCommissionSalesFixed value
     * @param float $guaranteedCommissionSalesFixed
     * @return \StructType\CampaignCommissionProduct
     */
    public function setGuaranteedCommissionSalesFixed($guaranteedCommissionSalesFixed = null)
    {
        $this->guaranteedCommissionSalesFixed = $guaranteedCommissionSalesFixed;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CampaignCommissionProduct
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
